30 Мар

Установка PHP-5.2.17 в Debian Lenny/Squeeze

1. Добавляем в /etc/apt/sources.list следующие репозитории:

Squeeze :

    deb http://packages.dotdeb.org stable all
    deb-src http://packages.dotdeb.org stable all

Lenny :

    deb http://packages.dotdeb.org oldstable all
    deb-src http://packages.dotdeb.org oldstable all

2. Добавляем ключи:

wget http://www.dotdeb.org/dotdeb.gpg
cat dotdeb.gpg | apt-key add -

И далее по учебнику:

apt-get update
apt-get install php5

Тем, кому необходима версия 5.3, можно добавить в /etc/apt/sources.list :

deb http://php53.dotdeb.org oldstable all
deb-src http://php53.dotdeb.org oldstable all

Конечно же, для пользователей Debian Squeeze это совершенно не нужно, поскольку php-5.3 входит по умолчанию в официальные репозитории.